---
permalink: "/{{ year }}/{{ month }}/{{ day }}/2014-in-many-words"
title: 2014 in many words
published_date: "2014-12-29 15:00:00 +0100"
layout: post.liquid
data:
  route: blog
---
### My year in numbers

Important things first: I got about 12 new T-Shirts for my collection (I didn't count them).

I had my very first real job interview (I didn't get the job, but had a nice time in [Dublin](https://twitter.com/badboy_/status/458253516981952512)).  
I traveled about 35000 km in a plane, spread across 8 flights, the longest from San Francisco to Frankfurt.  
I probably traveled another 5000 km in trains, to and from home to Dortmund, Kamen, Berlin, Hamburg, ...  
I visited 9 different conferences in 7 different cities across 4 different countries:

1. [FOSDEM](http://fosdem.org) in Brussel, Belgium (February)
2. [eurucamp](http://2014.eurucamp.org/) in Berlin (August)
3. [FrOSCon](https://www.froscon.de/startseite/)/[RedFrogConf](http://ruby.froscon.org/) in Sankt Augustin (August)
4. [reject.js](//fnordig.de/2014/09/18/jsfest-week-2014/) in Berlin (September)
5. [jsconf EU](http://2014.jsconf.eu/) in Berlin (September)
6. [RailsCamp Germany](http://2014.railscamp.de/) in Cologne (September)
7. [The next Web Barcamp][thenextweb] in Salzburg (October)
8. [IETF 91][ietf91] in Honolulu, USA (November)
9. [31c3](https://events.ccc.de/congress/2014/wiki/Main_Page) in Hamburg (December)


I held 3 talks this year, twice the same [Rust talk](//fnordig.de/talks/2014/froscon/rust-for-rubyists/#/), both times spontaneous to fill time, and once a [Redis talk](//fnordig.de/talks/2014/ots/redis-introduction-otsdo-2014-12-16.pdf).  
I held 3 different workshops, twice for the OTS DO coaching [HTML & CSS](//fnordig.de/2014/04/01/opentechschool-learn-new-things/) and [Javascript](//fnordig.de/2014/05/26/opentechschooljavascript-for-beginners/) and once as part of the Barcamp Salzburg, coaching [Hoodie][].

I published 20 blog posts covering a wide range of topics.  
I wrote more than 8200 tweets this year, most of them in reply to someone or as part of a longer rage about computers.
I posted 36 photos on Instagram and my `~/photos/2014/` directory now contains about 3000 other photos.

In total I made 380 countable contributions on GitHub (or 879 if you count private repositories as well) and took part in hundreds of issues.  
We saw 18 [releases of Redis](https://raw.githubusercontent.com/antirez/redis/2.8/00-RELEASENOTES), I was mentioned 4 times in the release notes and became #5 in [the list of committers](https://github.com/antirez/redis/graphs/contributors) (though only 19 commits so far).  
I sent 120 mails to the Redis mailing list (if I can trust my local mail copy).  
I learned a new language, Rust, and immediately [released 4 libraries](https://github.com/search?q=user%3Abadboy+rs).

For the university, I wrote a 15-page paper, containing about 7500 words.  
I wrote 6 exams and passed each one.  
I wrote a 50-page thesis, containing about 21000 words and made 233 code commits across 4 different repositories for the thesis.  
I finally got my Bachelor in Computer Science after 3 years of studying.

I attended 3 different sport tournaments with the Handball team of my university, winning one with my team by accident.
For the first time in my life I actually played Beach-Handball, the whole summer long once a week.

2014 was an amazing year for me.

### Thanks

All of the above was only possible because I had so many people supporting me, working with me, discussing with me, hosting me, sponsoring me, partying with me or traveling with me.
That's why I want to say thanks to all these people.

Thanks to the great [Hoodie community][hoodiecommunity], which I am proud to be a part of.
Special thanks to [Jan][], [Gregor][], [Ola][] and [Lena][] for the discussions and a few funny hangout sessions.
Very special thanks to [Lena][] for hosting the Hoodie Workshop at the Barcamp in Salzburg with me.

Thanks to [Hannes][] and [Stephan][] for inviting me to Salzburg.

Thanks to the [Open Tech School Dortmund][otsdo] team, [Ola][], [Carsten][], [Leif][] and [Hendrik][].
These are the nicest people, investing their free time to provide awesome talks and workshops for free.
They encouraged me to coach at workshops and to finally hold a talk.
I know they will keep this going in 2015!

Thanks to my employer [rrbone][] and my boss [Dominik][dominikbay] for making it possible for me to learn, to work on what I love, and to sponsor me trips to some of the conferences.

Thanks to [Lotte][] for joining Dominik and me on our trip to the US, for telling me quite a bit about beer and, even better, for drinking with me.

And thanks to all the people I forgot to mention explicitely, thanks to my friends and fellow students for making lectures less boring, thanks to my family for welcoming me back everytime I head back home.

There are already a lot of things planned for 2015, so it will be just as busy as this year.

<div style="text-align:center">
<strong>&lt;3</strong>
</div>

[hoodie]: http://hood.ie/
[ola]: https://twitter.com/misprintedtype
[jan]: https://twitter.com/janl
[gregor]: https://twitter.com/gr2m
[lena]: https://twitter.com/lrnrd
[stephan]: https://twitter.com/boennemann
[hannes]: https://twitter.com/eliias
[carsten]: https://twitter.com/dergraf86
[hendrik]: https://twitter.com/dermiddi
[leif]: https://twitter.com/rthbrst
[lotte]: https://twitter.com/Lotterleben
[otsdo]: http://www.opentechschool.org/dortmund/
[rrbone]: https://www.rrbone.net/
[dominikbay]: https://twitter.com/dominikbay
[gcx]: http://www.grandcentrix.net/
[ietf91]: http://www.ietf.org/meeting/91
[thenextweb]: https://barcamp-sbg.at/
[hoodiecommunity]: http://hood.ie/community/
