---
permalink: "/{{ year }}/{{ month }}/{{ day }}/2016-in-many-words"
title: 2016 in many words and some photos
published_date: "2016-12-31 11:30:00 +0100"
layout: post.liquid
data:
  route: blog
---
Last year I summarized my year in a [long blog post](/2015/12/31/2015-in-many-words/),
and I did the same [the year before as well](/2014/12/29/2014-in-many-words/).
So here comes the 2016 edition.

### My year in numbers

I was at 3 different conferences in 2 different cities across 2 different countries:

1. [View Source](https://viewsourceconf.org/) in Berlin, Germany (September), where I gave a Rust workshop
2. [RustFest](http://www.rustfest.eu/) in Berlin, Germany (September), which I co-organized
3. [Rust Belt Rust](http://www.rust-belt-rust.com/) in Pittsburgh, USA (October), where I gave a workshop about Rust & Emscripten

In total I gave [5 different talks](/talks/),
which included twice at the [Rust Cologne](http://rust.cologne/) meetup,
once at the Amsterdam Rust meetup and once at the Rust meetup in Stockholm.
New talks are already lining up with two confirmed in the first half of next year.
Since March I am a regular attendee of the Rust Cologne meetup and I've become part of the organizer team in June as well.
We managed to have one meetup per month since March and also had the [Novemb.rs Code Sprint Weekend](https://fnordig.de/2016/11/29/novemb-rs-code-sprint-weekend-2016-retrospective/) in November.

GitHub says I made 2185 countable contributions (including some private repositories) across dozens of repositories.
My number of published crates went up to 20.
Yet I didn't manage to really work on [semantic-rs](https://github.com/semantic-rs/semantic-rs) at all.

Last year I said I plan to release stable 1.0 releases of all hiredis derivates,
but I pretty much failed on all of them.
I'm not giving up though, maybe I can find the time & motivation soon to get them out.
But after that they will probably stay maintained, but not further developed by me.

I posted <strike>183</strike> 191 photos on [Instagram](https://instagram.com/janerikr/)
and my `~/photos/2016` directory now contains about 2000 photos.
Because of my own stupidity and no proper backup I lost quite a few photos from my phone. :(

I wrote more than 5000 tweets, more than 3700 of them in reply to someone.
That's still 3000 tweets less than last year. Wow.
11 new blog posts on this blog are just in range of what I did last year as well.
Hope to keep this up!

### My year in photos and words

The year started off with a trip to Canada.
With temperatures as low as -25°C, lots of snow, pancakes and beer I had a wonderful time.
I definitely need to go back once more in the summer.

![Canada Forest](//tmp.fnordig.de/end-of-2016/2016-01-08_12.27.25.jpg)

![Freezing cold](//tmp.fnordig.de/end-of-2016/2016-01-13_16.49.41.jpg)

![Sun over frozen Canada](//tmp.fnordig.de/end-of-2016/2016-01-24_12.59.35.jpg)

In May I made a short trip to Stockholm.
Equipped with the absolute best weather I enjoyed a few more days away from university and work and could relax.
In addition a canceled flight gave me another night in this city.

![Beautiful Stockholm](//tmp.fnordig.de/end-of-2016/2016-05-17_10.44.11-2.jpg)

After I got back to Aachen I bought my first Longboard.
I enjoyed multiple long trips over the Vennbahn. See more impression in [Longboarding: Vennbahn](//fnordig.de/2016/06/09/longboarding-vennbahn/).

![Longboarding on Vennbahn](//tmp.fnordig.de/end-of-2016/2016-06-09_12.53.25-1.jpg)

In August I got back to Stockholm a second time.
This time with friends for a 4 day long kajaking trip through the Stockholm Archipelago.
And again we had the best weather for such a trip.
I could even visit the Stockholm Rust meetup and give a talk a few days later before heading back home.

![Sunset in the archipelago of Stockholm](//tmp.fnordig.de/end-of-2016/2016-08-24_19.08.49-1.jpg)

In August I took part in the [Mozilla Tech Speakers program](https://wiki.mozilla.org/TechSpeakers)
and thus became an official Tech Speaker.

Starting in October I was back at full-time university (more or less),
in search for a master thesis to finish with.
Sadly, one of the more promising opportunities fell through and so it took until late November that I found an interesting topic and a supervisor to work with.
Just before Christmas I officially started this thesis and thus starting the 6 month countdown for finishing my work.
Which means, if nothing else goes horribly wrong, I will finish my masters degree in June.

The year then ended with my yearly trip to Hamburg, though this time I opted for not visiting the yearly Chaos Communication Congress (in full),
but stay with friends, enjoy the city and wait for the end of the year.

### Thanks

Again lots of the things I did were only possible due to help and encouragment from other people.  
A big thanks to the [team behind RustFest](http://www.rustfest.eu/about/): Flaki, Emma, Ben, Johanna, Florian, Katharina & Andrew. It was a pleasure to organize the conference with you.  
Thanks to [Pascal](https://twitter.com/killercup), [Flo](https://github.com/florob) & [Colin](https://github.com/colin-kiegel) for all the organisation work of Rust Cologne.  
Thanks to my employer [rrbone][] and my boss [Dominik][dominikbay] once more.  
Thanks to the people that traveled with me or let me stay at their place.  
And thanks to the friends & family near and far away.

[rrbone]: https://www.rrbone.net/
[dominikbay]: https://twitter.com/dominikbay

### The Future

2017 will bring a lot of changes.
As mentioned above I started my thesis and will finish in June.
I already have some plans for the time after that, including bigger travel plans,
but I don't know where I will end up after that.
2017 will probably be the year I leave Aachen after more than 5 years living there.

<br>
<div style="text-align:center">
<strong>&lt;3</strong>
</div>
