---
permalink: "/{{ year }}/{{ month }}/{{ day }}/2018-in-many-words"
title: "2018 in many words and some photos"
published_date: "2018-12-27 19:55:00 +0100"
layout: post.liquid
data:
  route: blog
---
It has become a tradition for me to look at the year that's about to end.
I did so in [2017](/2017/12/31/2017-in-many-words/), [2016](/2016/12/31/2016-in-many-words/), [2015](/2015/12/31/2015-in-many-words/) and [2014](/2014/12/29/2014-in-many-words/).

So here comes the 2018 edition (a bit earlier than normal, because I can't guarantuee to have internet in a few days).

### My year in numbers

I attended 6 conferences, 2 of which I organized myself, in 6 cities:

* [FOSDEM](https://fosdem.org/2018/) in Brussel, Belgium (February)
* [RustFest](https://paris.rustfest.eu/) in Paris, France (May)
* [JSConfEU](https://2018.jsconf.eu/) in Berlin, Germany (June)
* [FrOSCon](https://www.froscon.de/) in Sankt Augustin, Germany (August)
* [MozFest](https://mozillafestival.org/) in London, England (October)
* [RustFest](https://rome.rustfest.eu/) in Rome, Italy (November)

I only gave one talk (twice) at meetups (presenting [semantic-rs](https://github.com/semantic-rs/semantic-rs) once more).

I travelled close to 100.000 km in planes across the globe (four times to the US alone, of which three flights were to the [Valley](https://en.wikipedia.org/wiki/Silicon_Valley)).

I moved <strike>once</strike> <strike>twice</strike> three times this year, once _to_ Berlin and twice _inside_ Berlin. I now got a flat of my own, where I will hopefully stay for longer.
I switched jobs (once!).

I published 21 blog posts this year.
Some of them in my [Things I read](/2018/01/08/things-i-read-week-2/) series, which I unfortunately didn't follow through.

I went to one theatre play in Berlin ("Die Parallelwelt", I can highly recommend it!), 5 handball games of Füchse Berlin, one festival, made my diving certification and went on a diving vacation right after (12 more dives now!).

GitHub says I made 1286 countable contributions (including some private repositories) across dozens of repositories.
Quite a few of those are probably commits into [gecko](https://github.com/mozilla/gecko) (which actually lives at Mozilla, but is mirrored to GitHub ... [twice](https://github.com/mozilla/gecko-dev)).

I posted 114 photos and videos on Instagram and my `~/photos/2018` directory now contains over 5830 photos and about 3.6 Gb of video material.

I wrote 2607 tweets, with 1504 being in reply to someone.

I deleted all my content from Facebook (I'm still using the messenger for now).


### My year in photos and words

My year started with a (delayed) trip to Hamburg in January to meet friends and relax a little bit.

![Drinks with Feli and Manel in Hamburg](https://tmp.fnordig.de/blog/2018/th-2018-12-27-15-45.jpg)

From there I drove over to Berlin to meet more friends, some family, where I looked through really old books, and also worked a little bit.

!["Bibliothek der Unterhaltung und des Wissens" - A book from 1901](https://tmp.fnordig.de/blog/2018/th-2018-12-27-15-47.jpg)

At the end of January I was invited to fly over to Mountain View, California, for an on-site job interview.

![Mozilla Headquarter in Mountain View](https://tmp.fnordig.de/blog/2018/th-2018-12-27-15-49.jpg)

Luckily, I did not do too bad in that interview, so I was hired and moved to Berlin end of February to start at Mozilla in the Berlin office in March.
Unfortunately that meant I had to cancel Booster Conf in Bergen, Norway.

![View from the Mozilla Berlin Office](https://tmp.fnordig.de/blog/2018/th-2018-12-27-15-51.jpg)

Not long after I travelled to Trondheim to teach some Rust (a leftover job from before I joined Mozilla).

![Boardwalk view in Trondheim](https://tmp.fnordig.de/blog/2018/th-2018-12-27-15-54.jpg)

In April I also made my first visit to the Fuchsbau, the home of Füchse Berlin, Berlin's Bundesliga Handball team.
I went four more times this year.

![Field view from the sidelines](https://tmp.fnordig.de/blog/2018/th-2018-12-27-15-55.jpg)

In May I flew over the ocean once more for an onboarding week at Mozilla in Mountain View with a one-day trip to the San Francisco office and its amazing roof terrace view.

![Bridge view from the Mozilla SF office](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-00.jpg)

Once I was back I was bascially on my way out again to head to Paris, where RustFest Paris happened.

!["Hoping around Europe" - RustFest intro talk](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-01.jpg)

In June I attended JSConf EU in Berlin and helped with the Mozilla Arch project.

![Colorful arch](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-02.jpg)

One more trip to California followed in June, where I attended my first Mozilla All-Hands in San Francisco, a gathering of most Mozilla staff & some community members. I finally met my remote colleagues in person.

![Sunrise in San Francisco](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-02.jpg)

In July I finalized my diving certification together with [Florian](https://twitter.com/Argorak).

![Packed diving equipment](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-06.jpg)

August was mostly filled with summer activities. First I spent a weekend in the middle of nowhere with friends & music at a festival and then I went on a week-long vacation in Egypt to dive.

![3000Grad Festival view](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-07.jpg)

![Fish underwater](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-09.jpg)

In October I headed over to England for [MozFest](/2018/11/07/mozfest-2018-an-inside-perspective/) and London at night.
I stayed a few days extra to work from the Mozilla London office and attended the Rust London meetup.

![Night view of Tower Bridge](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-12.jpg)

Not even 6 month after RustFest Paris we brought RustFest to Rome in November. We're now taking a break from this 6-month cycle though and will return with RustFest in the fall of 2019.
Oh, and that month I also moved flats again.

![Opening talk of RustFest Rome](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-14.jpg)

In December I had to fly to the US once more, this time to Florida for my second Mozilla All-Hands.
It brought me to the Kennedy Space Center, where we saw the Atlantis spaceshuttle.
The week ended with a trip to Hogwarts (they do have butterbeer in nearby pubs!).

![Space shuttle Atlantis](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-16.jpg)

![Hogwarts](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-17.jpg)

For Christmas I went home to spent some time with my family.

![Kransekake](https://tmp.fnordig.de/blog/2018/th-2018-12-27-16-18.jpg)

To end this year and start 2019 I am now on vacation with [Flaki](https://twitter.com/slsoftworks) and [Florian](https://twitter.com/Argorakk). Pictures will follow in a year (or on Twitter and Instagram).


### Thanks

Much of what happend this year is in no small part thanks to [Ola](https://twitter.com/misprintedtype), who brought me into Mozilla and to Berlin. Thanks for this friendship, support and for being there all the time.

Thanks to [Florian](https://twitter.com/Argorak), who finally got me into doing a diving certification, who made it possible that I coach Rust workshops and who co-organized conferences and meetups with me.
And now he's going on vacation with me.

A huge thanks to the organizer teams of [RustFest Paris](https://paris.rustfest.eu/about/) and [RustFest Rome](https://rome.rustfest.eu/about/).
It wasn't always easy but in the end two conferences happened! Looking forward to RustFest 2019!

With so much travelling around, it's always nice to be able to go home and see my family and friends, no matter where that is.

### The Future

I only recently moved into my own flat, finally. Once I'm back in Berlin in January I will start with searching for furniture to put in my small flat.
I hope 2019 will be less about moving places and instead about moving around to see the world (some trips are already planned), meet friends and make new ones!

With just 10 months into my new job, there's a lot of potential to grow, learn and explore.
The planning for my team's work already started and there are some exciting projects on the horizon now.

And then there's Rust and RustFest. While sometimes stressful, I still enjoy the community work & event organisation and if we can pull off just a tiny bit of what we plan to, we will be quite successful in 2019.

<br>
<div style="text-align:center">
<strong>&lt;3</strong>
</div>
