---
permalink: "/{{ year }}/{{ month }}/{{ day }}/a-summary-of-what-rustfest-is"
title: "A summary of what RustFest is"
published_date: "2019-11-12 13:05:00 +0100"
layout: post.liquid
data:
  route: blog
---

This is both an answer to some feedback we recently got for [RustFest Barcelona](https://barcelona.rustfest.eu/) and also my own view on why RustFest is the event it is.
I typed this up during the event and also collected feedback from the team first on this.

---

I'm one of the cofounders of RustFest, have been with it ever since and I am still one of the main organizers of the event.

First of all, thanks to all the speakers, workshop trainers and also the attendees.
We always want to improve the conference and we gather all attendee feedback to see how we can do this (and we do that the [old and offline way at the conference](https://twitter.com/RustFest/status/1193537297456779264), because it works!).
I'd like to address a few of the mentioned things.

This year's conference has been the biggest RustFest to date, with a new schedule splitting the days and a new on-site team once again.
RustFest is run by a [team of volunteers (a total of 17 for this year's edition)](https://barcelona.rustfest.eu/about/).
Everyone on this team is pouring time and energy into this on top of their work, families and other free time.
We do run this conference as a community event, driven and organized by the community.
That means it's not always as polished as it could be.

We're also moving this conference around Europe, growing it at every step (from ~150 people and 2 days in Berlin in 2016 to over 400 attendees & 4 days of conferencing now).
This comes with its own challenges; we can never reuse venues, providers or all material from previous editions.
Additionally we are running on very limited budgets and we are still able to keep ticket prices between 100€ and 200€.

The team has been working on this for 7 months, with most people being on their feet for last-minute preparation and the event itself for about 7 days straight now.
We freqeuently get approached and praised on how smoothly the event happens.
And for the most it does run smoothly for the attendees, because my whole team is able to approach and fix problems before issues reach the attendees
(... and who could have known that a [single queue would be a bottleneck?](https://twitter.com/badboy_/status/1193103986603298816)).

## Workshops

RustFest is what it is because we put a heavy focus on not just putting content [on stage](https://barcelona.rustfest.eu/talks/), but for people to learn, code and talk to each other.
That's why a big part of RustFest are the [workshops](https://barcelona.rustfest.eu/workshops/).

Running a workshop is incredibly hard.
It takes hours and hours of preparation. Most workshop coaches are doing all of this in their free time.
Not everyone has training experience either.
We do tend to select the trainers who we already know and trust them do provide workshops that have a benefit for all attendees.
They all do an absolutely wonderful job.

However, we already have plans to provide training for the trainers ahead of RustFest to make the experience even better.

In addition to that this year we changed the format to put shorter workshops into the afternoons of both conference days.
This is a direct result of previous feedback and issues we've seen ourselves.

RustFest Barcelona happened at a university, providing us with class rooms for these workshops.
From our point of view these venues are mostly optimal for our conferences already:
They are optimized for a bunch of people and moving them around, class room layouts are perfect for workshops and usually there's stable WiFi deployed already.

Still, we had only a limited amount of rooms to work with, dictating how many workshops we can actually host (not to speak of actually getting more trainers & workshop material).
And of course all rooms were of different sizes and not all were equipped equally.
Personally I would always like the workshops to be smaller and thus easier on the trainers, but with over 400 attendees and *just* 9 workshops in parallel, some workshops tend to be large.

Due to all these constraints we had to do workshop signups this year to better be able to predict the distribution (in the past we didn't do this and it kinda worked out okayish).

## impl Days

RustFest is not just a 2-day conference. Since Zurich (that's now 3 editions ago) we have the [impl Days](https://barcelona.rustfest.eu/about_impl_days/) on the 2 days following the conference.

The impl Days grew out of the impl Period the project had a while back.
They are hugely successful and we frequently run into problems due to this success
(e.g. providing room _and_ power _and_ drinks/snacks for all attendes, all while not knowing how many people actually stick around).

This provides a huge service to the community and thanks to a shared impl Days document we can see people self-organize and work getting finished.
We are always providing this under the constraints of the venues we are at and fix issues where we can
(just for this conference alone we got 50 additional power strips to distribute during these days! That means: additional costs and work for us as well.
Also please don't let any electrician see our setup, because I might be stopped from ever providing electric power again).

## Policies

We want RustFest to be a community event where everyone feels safe, welcome and able to participate.
We actively give out scholarships to bring in people that otherwise wouldn't and we have a [some policies](https://barcelona.rustfest.eu/policies/) for everyone attending the conference
(on top of our [Code of Conduct](https://barcelona.rustfest.eu/code-of-conduct/) combined with an on-site [awareness team](https://twitter.com/RustFest/status/1193159329584734208)).

One thing for us to have an overview of attendees, but also for attendees to find each other, are mandatory name badges (and people can use the name they prefer on those).
However, name badges in general are always an issue and unfortunately I have yet to find a satisfying solution
(he, *I* don't even like having them around my neck and thus put it on my belt, which obviously does not help others reading my name of it).
We're definitely going for double-sided badges again next year, solving at least the issue of them always being the wrong way around and thus unreadable.

We are also providing pronoun stickers for people to use. These are optional and can be freely chosen by people as they want.
Addressing people correctly is just common courtesy and you can always ask people what they prefer.

We also tried out color communication badges this year, a [resource stemming from the autistic community](https://autisticadvocacy.org/wp-content/uploads/2014/02/ColorCommunicationBadges.pdf)
that allows you to communicate your conversation preferences non-verbally.
We have lots of people with lots of different backgrounds and not everyone is as comfortable to speak to everyone. Color badges are one way to signal this.

There were issues with the way we executed it this year, but we already got some feedback that people still liked and made use of it, so we're going to fix the issues around it
and have them at future events again.

## The Future

The next RustFest will happen in the Netherlands, in as short as 6 months from now.
We're again onboarding new team members, are looking for a suitable venue and preparing ticket sales, CfP and more; all while RustFest Barcelona is still running.

I am looking very much forward to bring together the Rust community again and I will personally invest time to improve over what we already have.

---

If you have been at RustFest this year: Thanks for coming and we're happy to get your feedback.
We hope you join us at a future edition again, maybe at RustFest Netherlands in 2020?!
