---
permalink: "/{{ year }}/{{ month }}/{{ day }}/2019-in-many-words"
title: "2019 in many words and some photos"
published_date: "2019-12-30 23:30:00 +0100"
layout: post.liquid
data:
  route: blog
---
It has become a tradition for me to look at the year that's about to end.
I did so in [2018](/2018/12/27/2018-in-many-words/), [2017](/2017/12/31/2017-in-many-words/), [2016](/2016/12/31/2016-in-many-words/), [2015](/2015/12/31/2015-in-many-words/) and [2014](/2014/12/29/2014-in-many-words/).

So here comes the 2019 edition.

### My year in numbers

I attended 5 conferences in 4 cities:

* [Rust LATAM](https://rustlatam.org/) in Montevideo, Uruguay (March)
* [RustConf](https://rustconf.com/) in Portland, Oregon (August)
* [Oxidize](https://oxidizeconf.com/) in Berlin, Germany (April)
* [EnthusiastiCon](https://www.enthusiasticon.de/) in Berlin, Germany (May)
* [RustFest](https://barcelona.rustfest.eu/) in Barcelona, Spain (November)

The trend was very clear: It's Rust.
I gave two talks this year. One at the above mentioned EnthusiastiCon and one at a meetup in Bergen.

I travelled close to 39.000 km in planes across the globe (or twice that if you count the way back, I can't remember what I calculated the previous years).

I didn't move flats! Instead I bought new furniture and equipment for my flat instead.

I published only 9 blog posts this year.

I went to one concert in Berlin, 4 handball games of Füchse Berlin (now I got a ticket for the second round of the HBL), one festival, but sadly didn't go diving :'(

GitHub says I made over 4330 countable contributions across dozens of repositories.
The huge increase to last year (more than three times) is due to the fact that [the project I've been working on](/2019/10/24/this-week-in-glean/) is on GitHub.
Commits to the Firefox codebase declined a lot.

I posted 167 photos and videos on Instagram and my `~/photos/2019` directory now contains ~1800 photos.
Much less than last year, but honestly this is because I took most pictures with my phone and I haven't properly sorted them yet.

I wrote 2735 tweets (that's about the same as last year), with 1513 (also nearly the same) being in reply to someone (that includes self-replies in a thread though).
This also includes about 400 retweets.

### My year in photos and words

Last year ended and this year started with a trip to Botswana and Namibia, together with [Flaki](https://twitter.com/slsoftworks) and [Florian](https://twitter.com/Argorakk).

![giraffe looking over the trees in the Kalahari desert](https://tmp.fnordig.de/blog/2019/kalahari-giraffe.jpg)

March started with a ski trip to Switzerland (and France) together with my dad, brother and brother in law.
Unfortunately I had a bit of bad luck and missed 2 skiing days (one for everyone due to the weather, and one because I slightly injured myself).

![Look over the snowy hills during our ski trip](https://tmp.fnordig.de/blog/2019/skiurlaub.jpg)

The month ended with a trip to Buenos Aires and Montevideo for the Rust LATAM conference and a bit of vacation.

![View from the balcony in the Montevideo apartment](https://tmp.fnordig.de/blog/2019/montevideo.jpg)

In June I had to go to Whistler, Canada for the Mozilla All-Hands, where I hiked in a T-Shirt to a frozen and snowy lake,
did my very first downhill bike ride and had some good work time with my colleauges.
Afterwards I went on to Vancouver Island and visited [Ana](https://twitter.com/a_hoverbear).

![Snowy and frozen lake in Whistler](https://tmp.fnordig.de/blog/2019/snowy-lake.jpg)

In July I was back in Dortmund to visit (and help) at the Juicy Beats festival.

![Confetti canon during a concert at Juicy Beats](https://tmp.fnordig.de/blog/2019/jb-konfetti-kanone.jpg)

Later in August I flew over to Portland to attend RustConf, with a trip to Victoria on Vancouver Island afterwards again.

![Opening keynote at RustConf 2019](https://tmp.fnordig.de/blog/2019/rustconf-keynote.jpg)

Just before flying out to Barcelona, I first had to go to Bergen, Norway to give a talk about Rust and then hike up the mountain.

![View from the mountain above Bergen](https://tmp.fnordig.de/blog/2019/bergen-mountainview.jpg)

And then I headed to Barcelona for the 6th edition of [RustFest](https://tmp.fnordig.de/blog/2019/bergen-mountainview.jpg).
It was the biggest RustFest to date, with two dozen speakers and coaches, over 400 attendees and 4 days packed full with Rust.

![Intro at RustFest Barcelona](https://tmp.fnordig.de/blog/2019/rustfest-opening.jpg)

I stayed longer for a much needed time off of work and RustFest responsibilities and did everything a tourist needs to do in that city.
Such as visiting the Sagrada Familia for some stunning pictures.

![Light coming in through the windows of the Sagrada Familia](https://tmp.fnordig.de/blog/2019/sagrada-familia-lichtspiel.jpg)

At the end of the year I traveled back home for Christmas and family time, but now I'm back in Berlin,
waiting to have a nice relaxed evening with some food and drinks with a bunch of friends.

### Thanks

It's the same people that stuck around with me last year,
but both [Ola](https://twitter.com/misprintedtype) and [Flaki](https://twitter.com/slsoftworks) deal with my complaints most often
and they are always there for me and vice versa.

At every trip I met old friends and met new people and I know I can come back and they would be all up for another drink again.

A huge thanks to the organizer teams of [RustFest Barcelona](https://barcelona.rustfest.eu/about/).
This year was no less stressful than any of the editions before, but the whole team jumped in and helped and made this event happen.
I know and learned that I can't be involved in the same capacity anymore, but I am looking forward to [RustFest Netherlands 2020](https://netherlands.rustfest.eu/).


### The Future

This year was long and at times stressful and exhausting.
I felt a bit too much stretched between my work and RustFest
I had no time or energy left for side projects or some better time off the compuer (such as ... more sport, diving and cooking).

I'm proud of what RustFest, the conference I founded just over 3 years ago, has become and the direction its headed to.
I'm looking very much forward to work with the Dutch team for the 2020 edition.
For the next year I will cut down on my direct involvement and management.
I'll be around as an advisor for the team and picking up tasks where I can, but I won't be the final decision maker anymore.
Hopefully that will allow me to explore some side projects and learnings again (that might end up only useful for myself).

In general I want to try to be much more conscious about my self organization, allowing for more time off the computer, exploring other hobbies.
I also need to space my vacation time better and not always combine them with work or conference trips.

Workwise I want to push on with the great work my team and I have been doing developing a telemetry framework from scratch.
I'm looking forward to finally contribute Rust code into the Firefox codebase.
Let's see what the Mozilla All-Hands in Berlin in January will bring.

<br>
<div style="text-align:center">
<strong>&lt;3</strong>
</div>
