---
permalink: "/{{ year }}/{{ month }}/{{ day }}/2020-in-many-words"
title: "2020 in many words and some photos"
published_date: "2020-12-31 18:30:00 +0100"
layout: post.liquid
data:
  route: blog
---
It has become a tradition for me to look at the year that's about to end.
I did so in
[2019](/2019/12/30/2019-in-many-words/),
[2018](/2018/12/27/2018-in-many-words/),
[2017](/2017/12/31/2017-in-many-words/),
[2016](/2016/12/31/2016-in-many-words/),
[2015](/2015/12/31/2015-in-many-words/)
and [2014](/2014/12/29/2014-in-many-words/).

So here comes the 2020 edition.

2020 was ... different.
Nothing was going as planned and thus exactly none of the predictions anyone could have had became true.
Nonetheless 2020 had some good parts, so I'm sticking to my format of looking at some numbers first, some pictures next and the future last.

### My year in numbers

I attended several conferences:

* [Rusty Days]
* [RustConf]
* [RustLab]
* [RustFest] (obviously)

[Rusty Days]: https://rusty-days.org/
[RustConf]: https://rustconf.com/
[RustLab]: https://www.rustlab.it/
[RustFest]: https://rustfest.global/

_(... and some others I forgot, but there I showed up for only a talk or two)_

Same trend as last year: Rust.  
I gave one talk this year at the above mentioned Rusty Days.
That talk was actually supposed to happen at Rust LATAM, but it was canceled.
And so was the workshop I had planned to give at BoosterConf Bergen.

In March we had to cancel RustFest Netherlands, the planned 7th in-person edition of RustFest.
RustFest was again moved to November, moved online and went Global.
With [3 teams and 24 people][team] we created an event that lasted for 21 hours, put 24 speakers and 9 artists in front of an audience of around 1000 people. 💪
Probably the achievement I'm most proud of this year.

[team]: https://rustfest.global/information/#team

I published 11 blog posts this year.
I wrote significantly more in design proposals, bugs and notes at work.

I went to one concert, one of the last ones in February, before it all closed down.
I picked up playing Handball again and we managed to start the new season with 2 wins. Since October the season is on a break.
I also picked up running again, managed to get 2-3 runs a week in, paused over the summer but now that Handball training won't happen I'm back running, even in the cold.

GitHub says I made 3082 contributions in the last year.
That's less than last year, but it doesn't really mean less actual contributions, given how much it doesn't capture.
I'm back with several large patch sets contributed to the Firefox code base because of [FOG](/2020/10/06/fog-progress-report/).

I posted 83 photos and videos on Instagram (and I don't know how many stories), also a sign of less travel overall.
My `~/photos/2020` directory now contains ~2424 photos and videos, though this time it includes a bunch of screenshots and random snapshots,
because I didn't even feel like properly categorizing most of them.
Lots of baking in there though.

### My year in photos and words

2020 started off quite well.
End of January all my colleagues came to Berlin for the Mozilla All-Hands.
It was a good kick-off for several projects for 2020 and of course a great opportunity to meet some colleagues in-person.
Turns out this was the last time for 2020 I met some of them.

![Sign "Lunch" at the Mozilla All-Hands](https://tmp.fnordig.de/blog/2020/mozilla-allhands.jpg)

February was more quiet, a visit home, some baking, watching Handball and going to a concert.
Starting in March we were asked to work from home and the office was officially closed soon after.
And thus began my year of home office.

![Lego ISS](https://tmp.fnordig.de/blog/2020/lego-iss.jpg)

So I did what everyone did and settled in. I started to bake more, feed my sourdough (hey, I started with that in February already!) and built Lego.

![Dough](https://tmp.fnordig.de/blog/2020/bread-dough.jpg)

In May I managed to bake even more and I started to improve my home office. Turns out I really missed my standing desk from the office, now I got one at home.
In June I went to visit my family once more, as it became clear that I wouldn't be able to have a travel vacation this year really.
I also took the opportunity to work from my balcony, right there in the sun.

![View towards the Krämerbrücke in Erfurt](https://tmp.fnordig.de/blog/2020/erfurt.jpg)

For the summer I initially planned to go to Norway, accompanying my parents on a camping van trip, but that had to be canceled.
As they still had the camping van they decided to tour through Germany and so I joined them for a bit, together with my brother.
Camping is an exceptionally good way to avoid people.
We took some bike trips and visited a couple of cities in eastern Germany.

![Mügelsee](https://tmp.fnordig.de/blog/2020/muegelsee.jpg)

Back in Berlin my sister & family came to visit, so more bike trips to lakes and some touristy trips through Berlin.

August was a tough month.
The layoffs at Mozilla severely impacted my motivation at work, and while I was not affect directly seeing that many colleagues,
lots of people who I personally knew even before I joined Mozilla were fired.

![Fistbump with a little kitty](https://tmp.fnordig.de/blog/2020/cat-fistbump.jpg)

I snuck in another trip back home, surprising my father for this birthday and also making a new little friend
(the cat was later picked up by an animal shelter as my family couldn't take care of it).

![Our dive spot at Helenesee](https://tmp.fnordig.de/blog/2020/aowd-divespot.jpg)

End of the month I then finally did my Advanced Open Water Diver (AOWD),
unfortunately the possibilities to make use of it when on vacations where of course limited this year.

![Underwater plants](https://tmp.fnordig.de/blog/2020/underwater-plants.jpg)

Thanks to [Florian] however we managed to do one weekend trip to the Feldberger Seenlandschaft somewhat north of Berlin.
Not the same as diving in the ocean, but still a great opportunity for more scuba dive training overall and also my first night dive.

[Florian]: https://twitter.com/argorak

For September I stayed in Berlin. I even managed to have a small birthday party at home with some close friends.
October was fully dedicated to RustFest.
I worked countless hours to make the event happen, coordinating the team, speakers and artists, and working on the technology that runs the online event. It paid off.

![Preview of one of the artist performances for RustFest](https://tmp.fnordig.de/blog/2020/linalab-preview.jpg)

What followed was a day-filling event. You can find [all recordings online][rustfest playlist] (or [just the artist performances][artist playlist]).
After that November was uneventful and I really needed that downtime.

[rustfest playlist]: https://www.youtube.com/watch?v=GtcZ0ZOcO5w&list=PL85XCvVPmGQiudPknCxiSpybc5RTfkXe6
[artist playlist]: https://www.youtube.com/watch?v=Ho-Eq3QahAY&list=PL85XCvVPmGQji1WRVzvDmPzCEZ3z3NSTS

December rolled around and so did Christmas.
I did manage to meet up with my family once more. It sure was a different Christmas though.

### Thanks

A huge shout-out to the whole RustFest team.
Everyone contributed their part to making RustFest Global happen, in a time when nothing else was certain.
Thank you especially to [Flaki] for being a real good friend and co-organizer, no matter what.

[Flaki]: https://twitter.com/slsoftworks/

Thanks also to the small group of Berlin friends I managed to see once in a while, given that large gathering were impossible this year.
And the biggest thanks this year to my family.
They took precautions as seriously as I did and thus made it possible for me to visit a couple of times.

### The Future

I don't know what 2021 will bring.
We're going to have to deal with a pandemic for a while longer and I highly doubt big in-person events will be a thing anytime soon.
I sure hope that we'll get to a point that travel will be possible again, safely.
Hopefully I can visit some friends again.

RustFest will continue, now that we're [transitioning it into an actual project](https://blog.rustfest.eu/rustfest-project-announcement).
We will have to scrape together a team to bring you another edition of RustFest in 2021.
As said last year, I'd like to play a less prominent role in the nitty-gritty detail organization of the event,
and instead focus on helping with my knowledge where I can and deal with the project as a whole.

Work-wise I'm continuing my journey as the tech lead of the Glean SDK.
I'm now responsible for its direction & planning and together with the whole team I have some ideas on [what to tackle first](/2020/12/18/glean-in-2021/).
Maybe late in the year I will be able to meet my remote colleagues in person again.

<br>
<div style="text-align:center">
<strong>&lt;3</strong>
</div>
