---
permalink: "/{{ year }}/{{ month }}/{{ day }}/2021-in-many-words"
title: "2021 in many words and some photos"
published_date: "2021-12-31 23:59:59 +0100"
layout: post.liquid
data:
  route: blog
---

It has become a tradition for me to look at the year that's about to end.
I did so in
[2020](/2020/12/31/2020-in-many-words/),
[2019](/2019/12/30/2019-in-many-words/),
[2018](/2018/12/27/2018-in-many-words/),
[2017](/2017/12/31/2017-in-many-words/),
[2016](/2016/12/31/2016-in-many-words/),
[2015](/2015/12/31/2015-in-many-words/)
and [2014](/2014/12/29/2014-in-many-words/).

I struggled getting the 2021 edition done, which is why it's now January 2nd, 2022 when it gets published.
Let's stick to the numbers first, as in previous years.

### My year in numbers

Less travel & less conferences.
I was around for the second online [RustConf] in August
and organized & attended the Rust in Arts edition of [RustFest Global][rustfest] in November.
I [did speak at the Rust Linz (online) meetup][rustlinz] in April though.

[rustconf]: https://rustconf.com/
[rustfest]: https://rustfest.global
[rustlinz]: https://www.youtube.com/watch?v=peu-rtN4358

I published another 11 blog posts this year (including this one).
At work I wrote about a dozen design proposals, reviewed another two dozen, plus all the bugs and issues I filed or answered.

I'm now running my own [datasette] instance, auto-importing a bunch of data, such as my tweets,
but also data from my phone and weather station at home.
This makes it easier to query the data too!


GitHub says I made 2852 contributions in the last year.
The raw numbers here obviously don't reflect all the other stuff I'm involved in.

I posted 75 photos and videos on Instagram (and I don't know how many stories), also a sign of less travel overall.
My `~/photos/2021` directory now contains 1580 photos and videos taken with my phone.

I wrote 2400 tweets, with over half of them in reply to someone (that includes self-replies in a thread though) and 370 retweets.
I ran a total of 489 km according to my Watch's workout recordings. That's about 90 km more than last year.
I also played a lot more handball, so all in all have been more active than before. Feels good!

[datasette]: https://datasette.io/

### My year in photos and words

January 2021 kicked off with some cold weather and snow.
I kinda like the cold and so I took regular walks (and runs!) along the Spree.

![Snowy walk way next to the Spree](https://tmp.fnordig.de/blog/2021/01-snow.jpg)

It got cold enough for the Spree & the canals to freeze, though I would not recommend walking on there.
Definitely not long enough cold enough for that daring venture.
Still beautiful to look at.

![View of the frozen and snowed Spree river](https://tmp.fnordig.de/blog/2021/02-frozen-spree.jpg)

By March I picked up some more regular baking again, this time trying to get the perfect croissants done.
They came out wonderful, though not perfect yet.
I've done them twice again, and it's certainly a fun and tasty thing to know.

![Freshly baked homemade croissants](https://tmp.fnordig.de/blog/2021/03-croissants.jpg)

With the situation becoming slightly better again and the weather being nice I was able to meet with lots more friends again
and enjoy Berlin in the spring once more.
Still I didn't really leave Berlin that much.

![View over the spree from the Elsenbridge in Berlin-Friedrichshain](https://tmp.fnordig.de/blog/2021/04-cloudy-spree.jpg)

My sister came to visit me with her family again during the summer.
We took several bike trips out of the city and also got to visit the Reichstag building (which I haven't done since school)
and of course enjoy the view from its roof (which I've done last shortly after I moved to Berlin).

![View from the roof of the Reichstag building to the west, in the back on the right visible the Bundeskanzleramt (Federal Chancellery)](https://tmp.fnordig.de/blog/2021/05-view-from-the-bundestag.jpg)

By the end of August I hopped into a car and drove 1500 km from Berlin to Brittany in France
to spend some time in a beach house with friends.
I was lucky to wake up to THAT ⬇️ kind of view every morning for two weeks.

![View from the balcony in the morning over the backyard and ocean](https://tmp.fnordig.de/blog/2021/06-balcony-view-france.jpg)

With the beach right in front we got some really nice sunsets to watch.

![A sunset over the sandy beach at low tide](https://tmp.fnordig.de/blog/2021/07-sunset-beach-france.jpg)

And sometimes the "beach" was just gone:

![Another sunset over the beach, at high tide with no sandy beach left](https://tmp.fnordig.de/blog/2021/08-sunset-breach-france.jpg)

The time after flew by, with my family visiting me in September,
meeting up with friends (mostly for some really good food),
and me then visiting my family again sometime in September.

Of course I also made my own food, such as delicious homemade tortelloni (one more thing I will need to make more in 2022).

![A tray of homemade tortelloni pasta](https://tmp.fnordig.de/blog/2021/09-homemade-tortelloni.jpg)

For Christmas I went home again, spending some calm days with my family and just before New Years rolled around helping with the renovation of my sister's new house.
It has a fireplace!

![A lit up fireplace](https://tmp.fnordig.de/blog/2021/10-fireplace.jpg)

For New Year's Eve I had to adjust my plans last minute because of Corona of course.
Nonetheless 2022 rolled around.

And now I'm sitting here, eating some left over Ginger Cookies and finishing this blog post.

![A stack of salted ginger cookies](https://tmp.fnordig.de/blog/2021/11-ginger-cookies.jpg)

### The Future

I'm ready for the pandemic to be over.
2021 was a tough year and by the end of it I was simply exhausted.
I will need to make some changes to avoid that in 2022.
Taking more regular breaks from work.
Actually properly spending that time off doing something more relaxing, even if traveling is still not a good option.
Spending some time improving other non-tech skills (hey, I like cooking! I just need to do it more often and for others!)
I won't make more promises publicly, but I do have some things set for myself to achieve already.

We have 2 more RustFest Global editions coming up ([LATAM & EMEA](https://rustfest.world/news/twirf-rust-in-arts-and-future-editions)),
for which we still need to do some work.
But I'm confident that we now have a team to get this done properly.
We'll see where this takes us afterwards.
I'm also still part of the Rust project, as a Core team and Community Team member.
One thing is clear: the project needs some work.
And right now I still want to be part of that.

At work the Glean SDK is now used in a wide variety of products across Mozilla.
The SDK itself seems in a state where it is mostly feature-complete.
There will be more supported data types, but none should change the project itself significantly.
At the same time our ingestion pipeline and tooling needs some serious work.
My plan is to be involved in that part more.
We also still need to push for more Glean adoption in the Firefox desktop code base. Let's see how that goes.
And if all goes _really_ well this year, then maybe, just maybe, my last-year hope becomes true this year instead:
Maybe I will be able to meet my remote colleagues in person again.

Thanks to everyone who I met, talked to, worked with, traveled with, who had lunch, dinner or coffee with me or who I cooked or baked for.

<br>
<div style="text-align:center">
<strong>&lt;3</strong>
</div>
